<?php
    /**
     *Plugin Name: لوگوی نماد الکترونیکی
     *Plugin URI : http://wp-master.ir
     *Author: wp-master.ir
     *Author URI: http://wp-master.ir
     *Description: جهت قراردادن خودکار لوگوی نماد الکترونیکی در سایت،بصورت خودکار با قابلیت کدکوتاه و ابزارک
     *Version: 0.2
     */
include plugin_dir_path(__FILE__).'/feed.class.php';

if(!class_exists('hwpfeed')){

	deactivate_plugins( plugin_basename( __FILE__ ) );
	
}
    /*
     * No script kiddies please!
     */
    defined('ABSPATH') or die("اللهم صل علی محمد و آل محمد و عجل فرجهم");

    /*
     * Defines
     */
    $plugins_url = rtrim(plugin_dir_url(__FILE__), '/') . '/';
    define('_enamadlogo_DIR', dirname(__FILE__) . DIRECTORY_SEPARATOR);
    define('_enamadlogo_PATH', $plugins_url);

    /**
     * plugin shortcode
     */
    function enamadlogo_shortcode() {
        $print_output = false;
        $is_widget = true;
        $html = enamad_logo_html(array(
            'print_output' => $print_output,
            'is_widget' => $is_widget,
        ));
        return $html;
    }
    add_shortcode('enamadlogo_shortcode', 'enamadlogo_shortcode');

    /**
     * Admin panel menu
     */
    require_once 'simple-class-options.php';

    /**
     * add enamad html to site
     * @param boolean $print_output whether echo output or not
     * @param boolean $is_widget whether is in widget , shortcode or not
     * @return string
     * @since 1.0
     */
    add_action('wp_footer', 'enamad_logo_html', 10, 1);
    function enamad_logo_html($_arg = array()) {
        if (!isset($_arg['print_output'])) {
            $_arg['print_output'] = true;
        }

        if (!isset($_arg['is_widget'])) {
            $_arg['is_widget'] = false;
        }

        extract($_arg);
        $settings = get_option('enamad_logo');
        if ($settings['enamad-enable'] != 1) {
            return;
        }

        if ($settings['enamad-view-method'] == 'front-page' && !is_front_page()) {
            return;
        }

        $top = ($settings['enamad-position'] == 'top-right' || $settings['enamad-position'] == 'top-left') ? '0' : 'auto';
        $bottom = ($settings['enamad-position'] == 'bottom-right' || $settings['enamad-position'] == 'bottom-left') ? '0' : 'auto';
        $right = ($settings['enamad-position'] == 'top-right' || $settings['enamad-position'] == 'bottom-right') ? '0' : 'auto';
        $left = ($settings['enamad-position'] == 'top-left' || $settings['enamad-position'] == 'bottom-left') ? '0' : 'auto';
        $width = $settings['enamad-width'];
        $html = '';
        if (!$is_widget) {
            $html .= '<div class="enamad-logo-wrapper" style="width:' . $width . 'px !important;height:auto; position:fixed; top:' . $top . '; right:' . $right . '; left:' . $left . ';bottom:' . $bottom . ';">';
        }
        if (trim($settings['enamad-code']) != '') {
            $html .= stripcslashes($settings['enamad-code']);
        } else {
            $html .= '<iframe src="/eNamadLogo.htm" frameborder="0" scrolling="no" allowtransparency="true" style="width: 150px; height:150px;"></iframe>';
        }

        if (!$is_widget) {$html .= '</div>';}

        if ($print_output) {echo $html;} else {return $html;}

    }

    /**
     * on plugin activation
     * @since 0.1
     */
    register_activation_hook(__FILE__, 'enamadlogo_activate');
    function enamadlogo_activate() {
        //Removed from 0.2
        //$html_file = _enamadlogo_PATH . 'eNamadLogo.htm';
        //file_put_contents(ABSPATH . DIRECTORY_SEPARATOR . 'eNamadLogo.htm', file_get_contents($html_file));
    }

    /**
     * on plugin deactivation
     * @since 0.1
     */
    register_deactivation_hook(__FILE__, 'enamadlogo_deactivate');
    function enamadlogo_deactivate() {
        //Removed from 0.2
        // $html_file = ABSPATH . DIRECTORY_SEPARATOR . 'eNamadLogo.htm';
        // if (function_exists('delete')) {delete($html_file);}
        // if (function_exists('unlink')) {unlink($html_file);}
    }

    /**
     * enable widget
     * @since 0.1
     */
    class enamad_widget extends WP_Widget {
        function enamad_widget() {
            $widget_ops = array('classname' => 'enamad_widget', 'description' => 'نماد الکترونیکی');
            $this->WP_Widget('enamad_widget', 'نماد الکترونیکی', $widget_ops);
        }

        function form($instance) {
            $title = $instance['title'];
        ?>
	<p>
		 عنوان ابزارک ::: <input type="text" name="<?php echo $this->get_field_name('title'); ?>" id="<?php echo $this->get_field_id('title'); ?>" value="<?php echo $title; ?>">
	</p>
	<?php
        }

            function update($new_instance, $old_instance) {
                $instance = $old_instance;
                $instance['title'] = $new_instance['title'];
                return $instance;
            }

            function widget($args, $instance) {
                $settings = get_option('enamad_logo');
                if ($settings['enamad-enable'] != 1) {
                    return;
                }

                if ($settings['enamad-view-method'] == 'front-page' && !is_front_page()) {
                    return;
                }

                extract($args, EXTR_SKIP);
                $title = empty($instance['title']) ? 'نماد الکترونیکی' : apply_filters('widget_title', $instance['title']);
                echo $before_widget;
                echo $before_title . $title . $after_title;
                $print_output = true;
                $is_widget = true;
                enamad_logo_html(array(
                    'print_output' => $print_output,
                    'is_widget' => $is_widget,
                ));
                echo $after_widget;
            }

        }
        add_action('widgets_init', create_function('', 'return register_widget("enamad_widget");'));

        /**
         * Notice After install/update
         */
        add_action('admin_init', 'enamad_after_install_actions');
        function enamad_after_install_actions() {
            if (get_option('enamad_new_ver_notice_applied_0_2') != 'ok') {
                add_action('admin_notices', 'enamad_update_admin_message');
            }

            //delete this option to prevent more show
            if (isset($_GET['update_enamad_new_ver_notice_applied_0_2'])) {
                update_option('enamad_new_ver_notice_applied_0_2', 'ok');
                wp_redirect(menu_page_url('enamadlogo-options', FALSE));
                die();
            }
        }
        function enamad_update_admin_message() {
            $Message = sprintf(
                __('نسخه جدید نماد الکترونیکی دچار تغییراتی شده،لطفا جهت تنظیمات به %sاینجا%s رفته و کد جدید را در قسمت مربوطه وارد نمایید.<a href="' . menu_page_url('enamadlogo-options', FALSE) . '&update_enamad_new_ver_notice_applied_0_2">× حذف این پیام</a>')
                , '<a href="' . menu_page_url('enamadlogo-options', FALSE) . '">', '</a>'
            );
        echo '<div class="updated"><p>' . $Message . '</p></div>';
    }