<?php

    /**
     * Master theme class
     *
     * @package Bolts
     * @since 1.0
     */
    class enamadlogo_Options {

        private $sections;
        private $checkboxes;
        private $settings;

        /**
         * Construct
         *
         * @since 1.0
         */
        public function __construct() {
            add_action('admin_menu', array(&$this, 'add_pages'));

        }

        /**
         * Add options page
         *
         * @since 1.0
         */
        public function add_pages() {

            $admin_page = add_options_page('نماد الکترونیکی', 'نماد الکترونیکی', 'manage_options', 'enamadlogo-options', array(&$this, 'display_page'));

            add_action('admin_print_scripts-' . $admin_page, array(&$this, 'scripts'));
            add_action('admin_print_styles-' . $admin_page, array(&$this, 'styles'));

        }

        /**
         * Display options page
         *
         * @since 1.0
         */
        public function display_page() {

            echo '<div class="wrap">';
        ?>
		<h1>تنظیمات لوگوی E-namad</h1>
		<?php
            if (isset($_POST['enamad-submit'])) {
                        $settings = array();
                        foreach ($_POST as $k => $v) {
                            if (strpos($k, 'enamad-') !== false) {
                                $settings[$k] = $v;
                            }
                        }
                        update_option('enamad_logo', $settings);
                    }
                    $settings = get_option('enamad_logo');
                    if (!$settings) {
                        update_option('enamad_logo', array('enamad-view-method' => 'front-page', 'enamad-width' => 125, 'enamad-enable' => 1, 'enamad-position' => 'bottom-left'));
                        $settings = get_option('enamad_logo');
                    }
                ?>
		<form action="" method="post">

		<table class="form-table">
			<tr>
				<th scope="row"><label for="enamad-enable">فعال سازی</label></th>
				<td><input type="checkbox" class="regular-text" name="enamad-enable"				                                                                    				                                                                    				                                                                    				                                                                    				                                                                    				                                                                    				                                                                    				                                                                    				                                                                     <?php checked($settings['enamad-enable'], 1, true);?> id="enamad-enable" value="1"></td>
			</tr>
			<tr>
				<th scope="row"><label for="enamad-width">عرض</label></th>
				<td><input type="number" class="regular-text" name="enamad-width" id="enamad-width" value="<?php echo $settings['enamad-width']; ?>"></td>
			</tr>
			<tr>
				<th scope="row"><label for="enamad-position">موقعیت قرارگیری</label></th>
				<td>
				<select name="enamad-position" id="enamad-position">
					<option
					<?php selected($settings['enamad-position'], 'top-right', true);?> value="top-right">بالا - راست</option>
					<option
					<?php selected($settings['enamad-position'], 'top-left', true);?> value="top-left">بالا - چپ</option>
					<option
					<?php selected($settings['enamad-position'], 'bottom-right', true);?> value="bottom-right">پایین - راست</option>
					<option
					<?php selected($settings['enamad-position'], 'bottom-left', true);?> value="bottom-left">پایین - چپ</option>
				</select>
				</td>
			</tr>
			<tr>
				<th scope="row"><label for="enamad-view-method">نحوه نمایش</label></th>
				<td>
				<select name="enamad-view-method" id="enamad-view-method">
					<option
					<?php selected($settings['enamad-view-method'], 'front-page', true);?> value="front-page">فقط صفحه اصلی</option>
					<option
					<?php selected($settings['enamad-view-method'], 'global', true);?> value="global">تمام سایت</option>
				</select>
				</td>
			</tr>
			<tr>
				<th scope="row"><label for="enamad-code">کد نماد الکترونیکی</label></th>
				<td>
				<textarea name="enamad-code" id="enamad-code"><?php echo stripcslashes($settings['enamad-code']); ?></textarea>
				</td>
			</tr>
		</table>

			<p>
				<input type="submit" name="enamad-submit" id="enamad-submit" class="button-primary" value="ثبت">
			</p>
		</form>

		<hr>
		<div style="padding:5px;background:#444; color:#fff;" class="help">
			<h3 style="color:#fff;">نحوه استفاده</h3>
			<p>
				<ul>
					<li><strong>خودکار : </strong>  با زدن تیک فعال سازی،نماد الکترونیکی بصورت خودکار در سایت قرار می گیرد  </li>
					<li><strong>کد کوتاه : </strong> با استفاده از کدکوتاه [enamadlogo_shortcode] </li>
					<li><strong>ابزارک : </strong> به منوی ابزارکها رفته ابزارک نماد الکترونیکی را در مکان دلخواه بگذارید </li>
				</ul>
			</p>
		</div>

		<?php
            echo '</div>';

                }

                /**
                 * jQuery Tabs
                 *
                 * @since 1.0
                 */
                public function scripts() {

                    wp_print_scripts('jquery-ui-tabs');

                }

                /**
                 * Styling for the theme options page
                 *
                 * @since 1.0
                 */
                public function styles() {

                    // wp_register_style( 'enamadlogo-admin', _enamadlogo_PATH . '/css/page-options.css' );
                    // wp_enqueue_style( 'enamadlogo-admin' );

                }

            }

        $theme_options = new enamadlogo_Options();
